# HG changeset patch
# Node ID 6c58faaa0efd
# Parent  735f7114318d
diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -336,6 +336,12 @@
 		* purple_account_set_password.  Use
 		  purple_credential_manager_write_password_async instead.
 		* purple_account_set_public_alias
+		* purple_accounts_add
+		* purple_accounts_find
+		* purple_accounts_get_all
+		* purple_accounts_get_all_active
+		* purple_accounts_remove
+		* purple_accounts_reorder
 		* PurpleAttentionType
 		* purple_attention_type_set_name
 		* purple_attention_type_set_incoming_desc
diff --git a/libpurple/accounts.h b/libpurple/accounts.h
--- a/libpurple/accounts.h
+++ b/libpurple/accounts.h
@@ -105,24 +105,6 @@
 /**************************************************************************/
 
 /**
- * purple_accounts_add:
- * @account: The account.
- *
- * Adds an account to the list of accounts.
- */
-G_DEPRECATED_FOR(purple_account_manager_add)
-void purple_accounts_add(PurpleAccount *account);
-
-/**
- * purple_accounts_remove:
- * @account: The account.
- *
- * Removes an account from the list of accounts.
- */
-G_DEPRECATED_FOR(purple_account_manager_remove)
-void purple_accounts_remove(PurpleAccount *account);
-
-/**
  * purple_accounts_delete:
  * @account: The account.
  *
@@ -135,49 +117,6 @@
 void purple_accounts_delete(PurpleAccount *account);
 
 /**
- * purple_accounts_reorder:
- * @account:   The account to reorder.
- * @new_index: The new index for the account.
- *
- * Reorders an account.
- */
-G_DEPRECATED_FOR(purple_account_manager_reorder)
-void purple_accounts_reorder(PurpleAccount *account, guint new_index);
-
-/**
- * purple_accounts_get_all:
- *
- * Returns a list of all accounts.
- *
- * Returns: (element-type PurpleAccount) (transfer none): A list of all accounts.
- */
-G_DEPRECATED_FOR(purple_account_manager_get_all)
-GList *purple_accounts_get_all(void);
-
-/**
- * purple_accounts_get_all_active:
- *
- * Returns a list of all enabled accounts
- *
- * Returns: (element-type PurpleAccount) (transfer container): A list of all
- *          enabled accounts.
- */
-G_DEPRECATED_FOR(purple_account_manager_get_active)
-GList *purple_accounts_get_all_active(void);
-
-/**
- * purple_accounts_find:
- * @name:     The account username.
- * @protocol: The account protocol ID.
- *
- * Finds an account with the specified name and protocol id.
- *
- * Returns: (transfer none): The account, if found, or %NULL otherwise.
- */
-G_DEPRECATED_FOR(purple_account_manager_find)
-PurpleAccount *purple_accounts_find(const char *name, const char *protocol);
-
-/**
  * purple_accounts_restore_current_statuses:
  *
  * This is called by the core after all subsystems and what
diff --git a/libpurple/accounts.c b/libpurple/accounts.c
--- a/libpurple/accounts.c
+++ b/libpurple/accounts.c
@@ -803,49 +803,3 @@
 	purple_signals_disconnect_by_handle(handle);
 	purple_signals_unregister_by_instance(handle);
 }
-
-/******************************************************************************
- * Deprecated API
- *****************************************************************************/
-void
-purple_accounts_add(PurpleAccount *account) {
-	PurpleAccountManager *manager = purple_account_manager_get_default();
-
-	purple_account_manager_add(manager, account);
-}
-
-void
-purple_accounts_remove(PurpleAccount *account) {
-	PurpleAccountManager *manager = purple_account_manager_get_default();
-
-	purple_account_manager_remove(manager, account);
-}
-
-GList *
-purple_accounts_get_all(void) {
-	PurpleAccountManager *manager = purple_account_manager_get_default();
-
-	return purple_account_manager_get_all(manager);
-}
-
-GList *
-purple_accounts_get_all_active(void) {
-	PurpleAccountManager *manager = purple_account_manager_get_default();
-
-	return purple_account_manager_get_active(manager);
-}
-
-void
-purple_accounts_reorder(PurpleAccount *account, guint new_index) {
-	PurpleAccountManager *manager = purple_account_manager_get_default();
-
-	purple_account_manager_reorder(manager, account, new_index);
-}
-
-PurpleAccount *
-purple_accounts_find(const char *name, const char *protocol_id) {
-	PurpleAccountManager *manager = purple_account_manager_get_default();
-
-	return purple_account_manager_find(manager, name, protocol_id);
-}
-
